## org.eclipse.datatools.modelbase.sql.query.impl
Class QueryCombinedImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.TableReferenceImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.TableExpressionImpl
                          org.eclipse.datatools.modelbase.sql.query.impl.QueryExpressionBodyImpl
                              org.eclipse.datatools.modelbase.sql.query.impl.QueryCombinedImpl

All Implemented Interfaces:
  QueryCombined, QueryExpressionBody, SQLObject, SQLQueryObject, TableExpression, TableReference

public class QueryCombinedImpl
extends QueryExpressionBodyImpl
implements QueryCombined

An implementation of the model object 'Combined'.

The following features are implemented:

- `Combined Operator`
- `Left Query`
- `Right Query`

See Also:
  Serialized Form

Method Summary
`NotificationChain` `basicSetLeftQuery(QueryExpressionBody newLeftQuery, NotificationChain msgs)`
`NotificationChain` `basicSetRightQuery(QueryExpressionBody newRightQuery, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`QueryCombinedOperator` `getCombinedOperator()`
`QueryExpressionBody` `getLeftQuery()`
`QueryExpressionBody` `getRightQuery()`
`void` `setCombinedOperator(QueryCombinedOperator newCombinedOperator)`
`void` `setLeftQuery(QueryExpressionBody newLeftQuery)`
`void` `setRightQuery(QueryExpressionBody newRightQuery)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.QueryExpressionBodyImpl

`basicSetCombinedLeft, basicSetCombinedRight, basicSetPredicateExists, basicSetQueryExpression, basicSetUpdateSourceQuery, basicSetWithTableSpecification, eBasicRemoveFromContainerFeature, getCombinedLeft, getCombinedRight, getPredicateExists, getQueryExpression, getUpdateSourceQuery, getWithTableSpecification, setCombinedLeft, setCombinedRight, setPredicateExists, setQueryExpression, setUpdateSourceQuery, setWithTableSpecification`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.TableExpressionImpl
`basicSetTableCorrelation, getColumnList, getResultTableAllColumns, getTableCorrelation, getValueExprColumns, setTableCorrelation`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.TableReferenceImpl
`basicSetNest, basicSetQuerySelect, basicSetTableJoinedLeft, basicSetTableJoinedRight, getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getPrivileges, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryExpressionBody
`getCombinedLeft, getCombinedRight, getPredicateExists, getQueryExpression, getUpdateSourceQuery, getWithTableSpecification, setCombinedLeft, setCombinedRight, setPredicateExists, setQueryExpression, setUpdateSourceQuery, setWithTableSpecification`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableExpression
`getColumnList, getResultTableAllColumns, getTableCorrelation, getValueExprColumns, setTableCorrelation`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableReference
`getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getCombinedOperator

    public QueryCombinedOperator getCombinedOperator()

  Specified by:
    `getCombinedOperator` in interface `QueryCombined`
  Returns:
    the value of the 'Combined Operator' attribute.
  See Also:
    `QueryCombinedOperator`, `QueryCombined.setCombinedOperator(QueryCombinedOperator)`, `SQLQueryModelPackage.getQueryCombined_CombinedOperator()`

### setCombinedOperator

    public void setCombinedOperator(QueryCombinedOperator newCombinedOperator)

  Specified by:
    `setCombinedOperator` in interface `QueryCombined`
  Parameters:
    `newCombinedOperator` - the new value of the 'Combined Operator' attribute.
  See Also:
    `QueryCombinedOperator`, `QueryCombined.getCombinedOperator()`

### getLeftQuery

    public QueryExpressionBody getLeftQuery()

  Specified by:
    `getLeftQuery` in interface `QueryCombined`
  Returns:
    the value of the 'Left Query' containment reference.
  See Also:
    `QueryCombined.setLeftQuery(QueryExpressionBody)`, `SQLQueryModelPackage.getQueryCombined_LeftQuery()`, `QueryExpressionBody.getCombinedLeft()`

### basicSetLeftQuery

    public NotificationChain basicSetLeftQuery(QueryExpressionBody newLeftQuery,
                                               NotificationChain msgs)

### setLeftQuery

    public void setLeftQuery(QueryExpressionBody newLeftQuery)

  Specified by:
    `setLeftQuery` in interface `QueryCombined`
  Parameters:
    `newLeftQuery` - the new value of the 'Left Query' containment reference.
  See Also:
    `QueryCombined.getLeftQuery()`

### getRightQuery

    public QueryExpressionBody getRightQuery()

  Specified by:
    `getRightQuery` in interface `QueryCombined`
  Returns:
    the value of the 'Right Query' containment reference.
  See Also:
    `QueryCombined.setRightQuery(QueryExpressionBody)`, `SQLQueryModelPackage.getQueryCombined_RightQuery()`, `QueryExpressionBody.getCombinedRight()`

### basicSetRightQuery

    public NotificationChain basicSetRightQuery(QueryExpressionBody newRightQuery,
                                                NotificationChain msgs)

### setRightQuery

    public void setRightQuery(QueryExpressionBody newRightQuery)

  Specified by:
    `setRightQuery` in interface `QueryCombined`
  Parameters:
    `newRightQuery` - the new value of the 'Right Query' containment reference.
  See Also:
    `QueryCombined.getRightQuery()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `QueryExpressionBodyImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `QueryExpressionBodyImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `QueryExpressionBodyImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `QueryExpressionBodyImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `QueryExpressionBodyImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `QueryExpressionBodyImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.